# Uses of Record Class
org.apache.lucene.util.QueryBuilder.TermAndBoost

Packages that use QueryBuilder.TermAndBoost
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of QueryBuilder.TermAndBoost in org.apache.lucene.util

  Methods in org.apache.lucene.util with parameters of type QueryBuilder.TermAndBoost
  Modifier and Type
  Method
  Description
  `protected Query`
  QueryBuilder.`newSynonymQuery(String field, QueryBuilder.TermAndBoost[] terms)`
  Builds a new SynonymQuery instance.
  Method parameters in org.apache.lucene.util with type arguments of type QueryBuilder.TermAndBoost
  Modifier and Type
  Method
  Description
  `protected void`
  QueryBuilder.`add(String field, BooleanQuery.Builder q, List<QueryBuilder.TermAndBoost> current, BooleanClause.Occur operator)`